Skip to main content
Jump to: navigation, search

Difference between revisions of "Android Selector 1.1"

(Configuration)
(Building)
Line 50: Line 50:
  
 
In order to build the Android I-Card Selector, you need the following:
 
In order to build the Android I-Card Selector, you need the following:
* The last version of [http://developer.android.com/ Android SDK].
+
* The latest version of [http://developer.android.com/ Android SDK].
* The last version of [http://source.android.com/ Android source code].
+
* The latest version of [http://source.android.com/ Android source code].
 
* The [http://ant.apache.org/ Apache Ant] or Eclipse with [http://developer.android.com/ ADT] (Android Development Tools).
 
* The [http://ant.apache.org/ Apache Ant] or Eclipse with [http://developer.android.com/ ADT] (Android Development Tools).
 
* GNU Make 3.81 (or later) or Eclipse with [http://www.eclipse.org/cdt/ CDT].
 
* GNU Make 3.81 (or later) or Eclipse with [http://www.eclipse.org/cdt/ CDT].

Revision as of 08:38, 5 November 2009

{{#eclipseproject:technology.higgins|eclipse_custom_style.css}}

Higgins logo 76Wx100H.jpg

Version

This page describes the Android solution being developed for Higgins 1.1

Introduction

This is a standalone Android application that can be launched automatically from a relying party website.

End User Perspective

The Android I-Card Selector allows users to use their I-Cards at relying parties.

This component only works at relying parties that explicitly support it.

AndroidSelectorScreenshot3.png

Installation

Coming soon...

Configuration

The Android I-Card Selector uses the following settings:

AndroidSelectorScreenshot1.png AndroidSelectorScreenshot2.png

Deployer Perspective

Building

The projects are:

  • app/org.eclipse.higgins.android.icard.npapi
  • app/org.eclipse.higgins.android.icard.selector
  • app/org.eclipse.higgins.android.icard.service

These projects can be checked out from the Eclipse repository at the following SVN URIs:

https://dev.eclipse.org/svnroot/technology/org.eclipse.higgins/trunk/app/org.eclipse.higgins.android.icard.npapi
https://dev.eclipse.org/svnroot/technology/org.eclipse.higgins/trunk/app/org.eclipse.higgins.android.icard.selector
https://dev.eclipse.org/svnroot/technology/org.eclipse.higgins/trunk/app/org.eclipse.higgins.android.icard.service

In order to build the Android I-Card Selector, you need the following:

To build all in Eclipse you need the following steps:

  • Check out all these projects from SVN (you can do it with Subversive plug-in).
  • Add ksoap2-android library into the classpath of service project.
  • Build Selector and Service.
  • Set up ANDROID_BUILD_TOP and ANDROID_SDK variables in the properties of NPAPI (Properties -> C/C++ Build -> Environment).
  • Build NPAPI (with run Android emulator or device).

Developer Perspective

Architecture

Android selector 1.1.101.png
(Diagram Key)

Components, Packages & Services

Components:

Services:

Copyright © Eclipse Foundation, Inc. All Rights Reserved.